/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.sample007;

import java.util.List;

import jp.terasoluna.batch.functionsample.common.NyusyukkinData;

/**
 * ヘッダ-明細のパラメータクラス。
 */
public class Sample007HeaderMeisaiData {

    /**
     * 支店コード
     */
    private String sitencd;
    
    /**
     * 支店名
     */
    private String sitenmei;
    
    /**
     * 支店住所
     */
    private String sitenjusyo;
    
    /**
     * 支店電話番号
     */
    private String sitentel;
  
    /**
     * 入出金データリスト
     */
    private List<NyusyukkinData> nyusyukkinList;
    
    /**
     * 支店コードを返却する。
     * @return 支店コード
     */
    public String getSitencd() {
        return sitencd;
    }
    
    /**
     * 支店コードを設定する。
     * @param sitencd 設定する支店コード
     */
    public void setSitencd(String sitencd) {
        this.sitencd = sitencd;
    }
    
    /**
     * 支店住所を返却する。
     * @return 支店住所
     */
    public String getSitenjusyo() {
        return sitenjusyo;
    }
    
    /**
     * 支店住所を設定する。
     * @param sitenjusyo 設定する支店住所
     */
    public void setSitenjusyo(String sitenjusyo) {
        this.sitenjusyo = sitenjusyo;
    }
    
    /**
     * 支店名を返却する。
     * @return 支店名
     */
    public String getSitenmei() {
        return sitenmei;
    }
    
    /**
     * 支店名を設定する。
     * @param sitenmei 設定する支店名。
     */
    public void setSitenmei(String sitenmei) {
        this.sitenmei = sitenmei;
    }
    
    /**
     * 支店電話番号を返却する。
     * @return 支店電話番号
     */
    public String getSitentel() {
        return sitentel;
    }
    
    /**
     * 支店電話番号を設定する。
     * @param sitentel 支店電話番号
     */
    public void setSitentel(String sitentel) {
        this.sitentel = sitentel;
    }

    /**
     * 入出金データリストを返却する。
     * @return 入出金データリスト
     */
    public List<NyusyukkinData> getNyusyukkinList() {
        return nyusyukkinList;
    }

    /**
     * 入出金データリストを設定する。
     * @param nyusyukkinList 入出金データリスト。
     */
    public void setNyusyukkinList(List<NyusyukkinData> nyusyukkinList) {
        this.nyusyukkinList = nyusyukkinList;
    }
}
